Maven使用tomcat8-maven-plugin插件

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/u011781521/article/details/75194071

在网上搜索一堆文章没找到解决方法,只找到了tomcat7-maven-plugin的plugin,如下:

 

 

<plugin>
  <groupId>org.apache.tomcat.maven</groupId>
  <artifactId>tomcat7-maven-plugin</artifactId>
  <version>2.2</version>
</plugin>

并没有找到tomcat8-maven-plugin的plugin,在Maven的中央仓库中根本就没有这个插件:

 

https://repository.apache.org/content/repositories/snapshots/org/apache/tomcat/maven/

 


 

在mvnrepository仓库中找到了一个

 


 

 

 

把上面的依赖加入到POM.XML中要么就是提示找不到该依赖,要么就是下载不下来.找了半天找到了一个解决方法,就是使用Maven中的<pluginRepositories> ,<pluginRepositories>是用来配置插件地址的,因为maven的所有功能都是使用插件来实现功能的,因此需要从特定的地址下载插件包。

 

在POM.XML中加入以下内容

 

  <pluginRepositories>   
	  <pluginRepository>   
		<id>alfresco-public</id>    
		<url>https://artifacts.alfresco.com/nexus/content/groups/public</url>   
	  </pluginRepository>    
	  <pluginRepository>   
		<id>alfresco-public-snapshots</id>    
		<url>https://artifacts.alfresco.com/nexus/content/groups/public-snapshots</url>    
		<snapshots>   
		  <enabled>true</enabled>    
		  <updatePolicy>daily</updatePolicy>   
		</snapshots>   
	  </pluginRepository>    
	  <pluginRepository>   
		<id>beardedgeeks-releases</id>    
		<url>http://beardedgeeks.googlecode.com/svn/repository/releases</url>   
	  </pluginRepository>   
  </pluginRepositories> 

加入tomcat8-maven-plugin依赖

 

        <plugin>
          <groupId>org.apache.tomcat.maven</groupId>
          <artifactId>tomcat8-maven-plugin</artifactId>
          <version>3.0-r1655215</version>
        </plugin>

然后就能使用tomcat8-maven-plugin插件了。

 

 

然后在网上还找到了几个有这个插件的仓库:

 

http://mvnrepository.com/artifact/org.apache.tomcat.maven/tomcat8-maven-plugin/3.0-r1655215

https://svn.apache.org/repos/asf/tomcat/maven-plugin/branches/tc8.x/

https://github.com/apache/tomcat-maven-plugin


 

posted on 2019-07-04 10:25  &大飞  阅读(7136)  评论(2编辑  收藏  举报

导航